#version 330 core
  
layout(location=0) in vec2 vVertex;		//położenie wierzchołka w przestrzeni obiektu
//wyjście shadera
smooth out vec2 vUV;					//współrzędne tekstury

void main()
{ 	 
	//wyznaczanie położenia w przestrzeni przycięcia na podstawie położenia w przestrzeni obiektu
	gl_Position = vec4(vVertex*2-1.0,0,1);
	//przypisanie położenia wierzchołka jako wyjściowych współrzędnch tekstury
	vUV = vVertex;
}